<script>
	import checkappupdate from 'common/checkappupdate.js'
export default {
  onLaunch: function () {
    // #ifdef APP-PLUS
    plus.navigator.setFullscreen(true);
    // 锁定横屏
    // plus.screen.lockOrientation("landscape-primary");  
    // 锁定竖屏   
    plus.screen.lockOrientation("portrait-primary");
		const fn = () => {
				checkappupdate.check({
						title: '检测到有新版本！',
						content: '请升级app到最新版本！',
						canceltext: '暂不升级',
						oktext: '立即升级'
				})
				return fn    // 函数中返回自身
		}
		setInterval(fn(), 3600 * 1000)
    // #endif
  },
  onShow: function () {
  },
  onHide: function () {
  }
}
</script>

<style lang="scss">
/*每个页面公共css */
@import "@/uview-ui/index.scss";
/deep/ .uni-select__selector-scroll {
  max-height: 100px !important;
}

/deep/ .times .uni-date-picker__container {
    height: 275px !important;
}
</style>
